#pragma once

#include "CoreMinimal.h"
#include "Engine/DataTable.h"
#include "UObject/SoftObjectPtr.h"
#include "WwiseDecayAuxBusRow.generated.h"

class UAkAuxBus;

USTRUCT(BlueprintType)
struct FWwiseDecayAuxBusRow : public FTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Decay;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftObjectPtr<UAkAuxBus> AuxBus;

public:
	AKAUDIO_API FWwiseDecayAuxBusRow();
};

FORCEINLINE uint32 GetTypeHash(const FWwiseDecayAuxBusRow) { return 0; }
